import 'package:get/get.dart';
import 'package:vnoteapp/architecture/defines.dart';
import 'package:vnoteapp/managers/interfaces/device.dart';
import 'package:vnoteapp/managers/interfaces/models/device.dart';

class DeviceController extends FControllerBase {
  final _deviceManager = Get.find<IDeviceManager>();

  Future<DeviceModel?> getDevice(String type) async {
    List<DeviceModel> devices = await _deviceManager.getDeviceList();
    return devices.firstWhereOrNull((element) => element.type == type);
  }
}
